Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class DecisionTree.Node

    java.lang.Object
      cc.mallet.classify.DecisionTree.Node

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DecisionTree

    public static class DecisionTree.Node

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DecisionTree.Node(InstanceList ilist, DecisionTree.Node parent, FeatureSelection fs)`

Method Summary
`int` | `depth()` The root has depth zero.
`DecisionTree.Node` | `getFeatureAbsentChild()`
`DecisionTree.Node` | `getFeaturePresentChild()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getSplitFeature()`
`double` | `getSplitInfoGain()`
`void` | `induceFeatures(AugmentableFeatureVector afv, FeatureSelection featuresAlreadyThere, FeatureSelection[] perClassFeaturesAlreadyThere, FeatureSelection newFeatureSelection, FeatureSelection[] perClassNewFeatureSelection, boolean withInteriorNodes, boolean addPerClassFeatures, double classEntropyThreshold)`
`boolean` | `isLeaf()`
`boolean` | `isRoot()`
`void` | `print()`
`void` | `split(FeatureSelection fs)`
`void` | `stopGrowth()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionTree.Node

    public DecisionTree.Node(InstanceList ilist,
                             DecisionTree.Node parent,
                             FeatureSelection fs)

Method Detail

### depth

    public int depth()

  The root has depth zero.

### isLeaf

    public boolean isLeaf()

### isRoot

    public boolean isRoot()

### getFeatureAbsentChild

    public DecisionTree.Node getFeatureAbsentChild()

### getFeaturePresentChild

    public DecisionTree.Node getFeaturePresentChild()

### getSplitInfoGain

    public double getSplitInfoGain()

### getSplitFeature

    public java.lang.Object getSplitFeature()

### split

    public void split(FeatureSelection fs)

### stopGrowth

    public void stopGrowth()

### induceFeatures

    public void induceFeatures(AugmentableFeatureVector afv,
                               FeatureSelection featuresAlreadyThere,
                               FeatureSelection[] perClassFeaturesAlreadyThere,
                               FeatureSelection newFeatureSelection,
                               FeatureSelection[] perClassNewFeatureSelection,
                               boolean withInteriorNodes,
                               boolean addPerClassFeatures,
                               double classEntropyThreshold)

### getName

    public java.lang.String getName()

### print

    public void print()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD